Issue 107035 - Temporary file for XML stream is not deleted after saving
Summary: Temporary file for XML stream is not deleted after saving
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOO320m5
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: thorsten.martens
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: 99999
  Show dependency tree
 
Reported: 2009-11-19 11:52 UTC by niklas.nebel
Modified: 2017-05-20 10:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description niklas.nebel 2009-11-19 11:52:32 UTC
Open a big file (Calc, Writer or Impress), modify it, save, close the file. The
temp directory still contains a file with an uncompressed XML stream. With
several modify-save cycles, several files remain.

Apparently this somehow depends on the size of the temporary file, in Impress
it's the styles.xml.
Comment 1 mikhail.voytenko 2009-11-19 12:29:06 UTC
Adjusting the target.
Comment 2 mikhail.voytenko 2009-11-19 17:16:45 UTC
This is a regression in the storage implementation. The fix is ready and can be
commited after the issue has been approved as a showstopper.
Comment 3 mikhail.voytenko 2009-11-19 17:39:20 UTC
Fixed in fwk129.
Comment 4 mikhail.voytenko 2009-11-24 09:53:03 UTC
mav->tm: Please verify the issue.
Comment 5 thorsten.martens 2009-12-02 12:40:35 UTC
Checked and verified in cws fwk129 -> OK !